Net::OpenSSH::ConnectionCache(3)

NAME
Net::OpenSSH::ConnectionCache - cache and reuse SSH connections transparently

SYNOPSIS
  use Net::OpenSSH;
  use Net::OpenSSH::ConnectionCache;

  for (1..10) {
    my $ssh = Net::OpenSSH->new($host);
    $ssh->system("$cmd $_");
  }

DESCRIPTION
This module installs a $Net::OpenSSH::FACTORY hook implementing a SSH connection caching scheme.

$Net::OpenSSH::ConnectionCache::MAX_SIZE controls the cache size. Once as many connections are allocated, the module will try to free any of them before allocating a new one.

The function "clean_cache" makes the module forget (and close) all the cached connections:

  Net::OpenSSH::ConnectionCache::clean_cache();

COPYRIGHT AND LICENSE
Copyright (C) 2011, 2014 by Salvador Fandiño (sfandino@yahoo.com)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.